#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: HsOpenSSL
version: 0.11.1.1
id: HsOpenSSL-0.11.1.1-1f564df6f47062ac8c43ffd1485e8fd8
key: HsOpe_GnLae7U7W9ZI8AcRoM668H
license: PublicDomain
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
synopsis: Partial OpenSSL binding for Haskell
description:
    .
    HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
    and DSA keys, read and write PEM files, generate message digests,
    sign and verify messages, encrypt and decrypt messages. It has
    also some capabilities of creating SSL clients and servers.
    .
    This package is in production use by a number of Haskell based
    systems and stable. You may also be interested in the @tls@ package,
    <http://hackage.haskell.org/package/tls>, which is a pure Haskell
    implementation of SSL.
    .
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules:
    OpenSSL OpenSSL.BN OpenSSL.EVP.Base64 OpenSSL.EVP.Cipher
    OpenSSL.EVP.Digest OpenSSL.EVP.Internal OpenSSL.EVP.Open
    OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
    OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
    OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
    OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
    OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.SSL.Option OpenSSL.Stack
                OpenSSL.Utils OpenSSL.X509.Name OpenSSL.DH.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1
hs-libraries: HSHsOpenSSL-0.11.1.1-GnLae7U7W9ZI8AcRoM668H
extra-libraries:
    crypto ssl
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    network-2.6.2.1-1efabe34c29aae7dc76038169a9c7a77
    old-locale-1.0.0.7-3588c6880f1cb77ccff98e204e99a556
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/HsOpenSSL-0.11.1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
